# Retrieve available sealines

> Container Tracking API, GET /sealines: Get the list of covered sealines, their SCAC codes and their maintenance status.

`GET /sealines` on the Container Tracking API. Base URL: `https://api.sinay.ai/container-tracking/api/v2`.

Get the list of covered sealines, their SCAC codes and their maintenance status.

## Responses

::api-response
---
status: "200"
description: OK
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `sealines` | array of object | No | — |
| `sealines[].name` | string | No | — |
| `sealines[].active` | boolean | No | — |
| `sealines[].activeTypes` | object | No | — |
| `sealines[].activeTypes.ct` | boolean | No | — |
| `sealines[].activeTypes.bl` | boolean | No | — |
| `sealines[].activeTypes.bk` | boolean | No | — |
| `sealines[].maintenance` | boolean | No | — |
| `sealines[].scacCodes` | array of string | No | — |
| `sealines[].prefixes` | array of string | No | — |

Example response body:

```json
{
  "sealines": [
    {
      "name": "AC Container Line",
      "active": true,
      "activeTypes": {
        "ct": true,
        "bl": true,
        "bk": true
      },
      "maintenance": false,
      "scacCodes": [
        "ALRB"
      ],
      "prefixes": []
    },
    {
      "name": "Admiral Container Lines",
      "active": true,
      "activeTypes": {
        "ct": true,
        "bl": true,
        "bk": true
      },
      "maintenance": false,
      "scacCodes": [
        "ADMU"
      ],
      "prefixes": [
        "BLS",
        "ADM"
      ]
    }
  ]
}
```

::

::api-response
---
status: "401"
description: The authentication failed
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `errorCode` | integer (int32) | Yes | — |
| `message` | string | Yes | — |
| `details` | array of string | Yes | — |
| `time` | string (date-time) | Yes | — |

::

::api-response
---
status: "500"
description: An error occurred on server side
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `errorCode` | integer (int32) | Yes | — |
| `message` | string | Yes | — |
| `details` | array of string | Yes | — |
| `time` | string (date-time) | Yes | — |

::

::api-response
---
status: default
description: default
---

Body: `application/json`, object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `errorCode` | integer (int32) | Yes | — |
| `message` | string | Yes | — |
| `details` | array of string | Yes | — |
| `time` | string (date-time) | Yes | — |

::
